com.salesforce.datacloud.jdbc.auth.errors

## Class AuthorizationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.salesforce.datacloud.jdbc.auth.errors.AuthorizationException

All Implemented Interfaces:
  Serializable

    public class AuthorizationException
    extends Exception

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `AuthorizationException.AuthorizationExceptionBuilder`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static AuthorizationException.AuthorizationExceptionBuilder` `builder()`
`String` `getErrorCode()`
`String` `getErrorDescription()`
`String` `getMessage()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### builder

    public static AuthorizationException.AuthorizationExceptionBuilder builder()

#### getMessage

    public String getMessage()

Overrides:
  `getMessage` in class `Throwable`

#### getErrorCode

    public String getErrorCode()

#### getErrorDescription

    public String getErrorDescription()